package org.wcs.mapper.intf;

import com.baomidou.mybatisplus.extension.service.IService;
import org.wcs.model.bo.db.DataBaseActionResult;
import org.wcs.model.po.app.AppBaseMenuPermission;

import java.util.List;

public interface AppBaseMenuPermissionService extends IService<AppBaseMenuPermission> {

    List<AppBaseMenuPermission> queryAll(); // 查询所有
    List<AppBaseMenuPermission> queryByMenuId(String menuId); // 查询菜单权限
    List<AppBaseMenuPermission> queryByPermissionId(String permissionId); // 查询权限菜单
    DataBaseActionResult<Integer> insert(AppBaseMenuPermission appBaseMenuPermission); // 添加菜单权限
    DataBaseActionResult<Integer> deleteByPermissionId(String permissionId);
}
